Bug 1692465 - Don't ship katello-host-tools-fact-plugin in rhel8 sat-tools
Summary: Don't ship katello-host-tools-fact-plugin in rhel8 sat-tools
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Packaging
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: Evgeni Golov
QA Contact: Lukas Pramuk
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-25 16:30 UTC by Justin Sherrill
Modified: 2019-10-07 17:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 19:57:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 26661 0 Normal Closed Don't ship katello-host-tools-fact-plugin in rhel8 sat-tools 2021-01-25 16:40:51 UTC

Description Justin Sherrill 2019-03-25 16:30:29 UTC
Description of problem:

katello-host-tools-fact-plugin was created to workaround old sub-man releases that did not upload the fqdn.   This never existed in rhel8, so we should never ship it with rhel8

Comment 3 Brad Buckingham 2019-03-26 20:25:34 UTC
Based on irc discussion, this should primarily be an update to spec; therefore, moving to packaging component.

Comment 4 Evgeni Golov 2019-04-23 10:51:17 UTC
Created redmine issue https://projects.theforeman.org/issues/26660 from this bug

Comment 5 Evgeni Golov 2019-04-23 10:52:14 UTC
Created redmine issue https://projects.theforeman.org/issues/26661 from this bug

Comment 6 Bryan Kearney 2019-04-25 20:05:41 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26661 has been resolved.

Comment 7 Lukas Pramuk 2019-05-06 03:33:39 UTC
VERIFIED.

@katello-host-tools-3.5.0-2.el8sat.noarch.rpm

>>> katello-host-tools-fact-plugin rpm is not contained in the candidate Satellite Tools 6.5 RHEL8 repositories

Comment 8 Bryan Kearney 2019-05-14 19:57:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.